summaryrefslogtreecommitdiff
path: root/firmware/test/i2s/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'firmware/test/i2s/Makefile')
-rw-r--r--firmware/test/i2s/Makefile9
1 files changed, 7 insertions, 2 deletions
diff --git a/firmware/test/i2s/Makefile b/firmware/test/i2s/Makefile
index ed7860c..c6673a9 100644
--- a/firmware/test/i2s/Makefile
+++ b/firmware/test/i2s/Makefile
@@ -27,7 +27,7 @@ RM = rm
# Flags
CFLAGS = -W -Wall -Werror -O0 --std=gnu99 -fgnu89-inline -mcpu=cortex-m3 -mthumb
CFLAGS += -ffunction-sections -fdata-sections
-CFLAGS += -I${DRV}
+CFLAGS += -I${DRV} -I${LPC}
ASFLAGS =
LDFLAGS = --gc-sections
@@ -43,6 +43,8 @@ CSRCS = \
${LPC}/system_LPC17xx.c \
${LPC}/startup_LPC17xx.c \
${DRV}/led.c \
+ ${DRV}/cli.c \
+ ${DRV}/uart.c \
${DRV}/i2s.c \
../test.c
@@ -97,6 +99,9 @@ flash: $(EXECNAME)
openocd -f ../../openocd.cfg \
-c 'flash write_image erase $(PROJ).bin' \
-c 'verify_image $(PROJ).bin' \
- -c 'reset run'
+ -c 'reset run' || (sleep 1; openocd -f ../../openocd.cfg \
+ -c 'flash write_image erase $(PROJ).bin' \
+ -c 'verify_image $(PROJ).bin' \
+ -c 'reset run')
-include $(CSRCS:.c=.d)